import {render, screen} from "@testing-library/react";
import ErrorOrEmpty from "../../ErrorOrEmpty";
import MockAppWithProviders from "../../../../../../../../../../../mocks/AppWithProvider";

describe("ErrorOrEmpty Component From call history", () => {
    describe("Rendering", () => {
        it("error fetching history of call text rendered", () => {
            render(<MockAppWithProviders><ErrorOrEmpty isErrorOrEmpty={"error"}/></MockAppWithProviders>);
            const errorText = screen.queryByText('خطا در دریافت تاریخچه تماس دریافتی');
            expect(errorText).toBeInTheDocument();
        });
        it("empty fetching history of call text rendered", () => {
            render(<MockAppWithProviders><ErrorOrEmpty isErrorOrEmpty={"empty"}/></MockAppWithProviders>);
            const emptyText = screen.queryByText('تاریخچه ای برای تماس دریافتی یافت نشد');
            expect(emptyText).toBeInTheDocument();

        });
    });
});